Subject: bug#41494: guix build error on armhf - hash-algorithm: unbound variable

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 24 May 2020 23:41:00 +0200

Hi Ludo,

On Sun, 24 May 2020 23:27:24 +0200
Ludovic Courtès <[email-masked]> wrote:

> > $ guix environment --pure guix --ad-hoc git guile-json guile-readline
> > $ make 
> > [ 11%] LOAD     guix/scripts/download.scm
> > ice-9/eval.scm:293:34: error: hash-algorithm: unbound variable  
> 
> Which version of Guile-Gcrypt do you have in that profile?

/gnu/store/k1jj8xpklngfshd9d9rvws9636am7lp7-guile-gcrypt-0.1.0/share/guile/site/2.2/gcrypt

> You need 0.2.0 or later.

Oops.

I've installed the host guix using the armhf tarball from the website.

$ which guix
/usr/local/bin/guix
$ ls -l /usr/local/bin/guix
lrwxrwxrwx 1 root root 54 Mar  4 15:25 /usr/local/bin/guix -> /var/guix/profiles/per-user/root/current-guix/bin/guix

Aha!  That's different to Guix System, right?

$ ls -l /var/guix/profiles/per-user/root/current-guix
/var/guix/profiles/per-user/root/current-guix -> current-guix-1-link
$ ls -l /var/guix/profiles/per-user/root/current-guix-1-link/
[...]
libexec -> /gnu/store/a8041j3pg62zi62b30w91mxrmjsamp64-guix-1.0.1/libexec

I guess I could guix pull under root user, but that would hide these kind of
usability bugs under the carpet :)

In any case, seems to work fine to just not compile target guix in the first
place and have it be interpreted, so that's what I'm doing now to get some
actual work done :)

Will try guix pull as root later...